#
# spec file for package perl-AppConfig
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-AppConfig
Version:        1.71
Release:        1.33
%define cpan_name AppConfig
Summary:        Perl5 module for reading configuration files and parsing command line ar[cut]
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/AppConfig/
Source:         http://www.cpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Pod) >= 1.0
%{perl_requires}

%description
Perl5 module for reading configuration files and parsing command line arguments.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README TODO

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.71
  see /usr/share/doc/packages/perl-AppConfig/Changes
* Wed Dec  7 2011 coolo@suse.com
- use spdx license
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Mon Jul  9 2007 anicka@suse.cz
- update to 1.66
  * Removed File::HomeDir from the test scripts.
* Mon Jun 11 2007 anicka@suse.cz
- update to 1.65
  * documentation added
- move testing to %%check
* Wed May 16 2007 pth@suse.de
- Add explicit dependencies on perl-File-HomeDir.
- Run tests.
* Tue Jan  9 2007 anicka@suse.cz
- update to 1.64
  * Bug fix to prevent crashing for users with no home directory
  * Increase File::HomeDir dep to 0.61 which supports no home
  directory cases properly.
* Wed Sep 13 2006 anicka@suse.cz
- update to 1.63
  * removed "use warnings" and "use base Exporter"
  * Use File::HomeDir to find $HOME
  * Fixed a POD bug in AppConfig::Sys and added a 99_pod.t test
  * Added a LICENSE file
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 31 2005 dmueller@suse.de
- build as nonroot
* Thu Feb 26 2004 mjancar@suse.cz
- update to 1.56
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 freitag@suse.de
- fixed specfile to use vendorbranch and use macros
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Mon May 19 2003 freitag@suse.de
- removed perllocal.pod and updated to new version 1.55
* Thu Jan 30 2003 ro@suse.de
- no noarch
* Thu Nov 28 2002 freitag@suse.de
- added noarch Architecture flag.
* Thu Nov 28 2002 freitag@suse.de
- new package perl-AppConfig
